PAUSE(2)

NAME
pause - wait for signal

SYNOPSIS
#include <unistd.h>

int pause(void);

DESCRIPTION
The pause() library function causes the invoking process (or thread) to sleep until a signal is received that either terminates it or causes it to call a signal-catching function.

RETURN VALUE
The pause() function only returns when a signal was caught and the signal-catching function returned. In this case pause() returns -1, and errno is set to EINTR.

ERRORS

EINTR
    a signal was caught and the signal-catching function returned.

CONFORMING TO
SVr4, 4.3BSD, POSIX.1-2001.

SEE ALSO
kill(2), select(2), signal(2), sigsuspend(2)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.